diff -Nurd koffice-2.0.0/karbon/CMakeLists.txt koffice-2.0.0-new/karbon/CMakeLists.txt
--- koffice-2.0.0/karbon/CMakeLists.txt	2009-05-20 03:27:06.000000000 -0400
+++ koffice-2.0.0-new/karbon/CMakeLists.txt	2009-06-07 09:58:57.000000000 -0400
@@ -49,6 +49,12 @@
 kde4_add_app_icon( karbon_KDEINIT_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/pics/hi*-app-karbon.png" )
 kde4_add_kdeinit_executable( karbon ${karbon_KDEINIT_SRCS})
 
+if (Q_WS_MAC)
+   set_target_properties(karbon PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/Info.plist.template)
+   set_target_properties(karbon PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.koffice.karbon")
+   set_target_properties(karbon PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "Karbon 2")
+endif (Q_WS_MAC)
+
 target_link_libraries(kdeinit_karbon komain ${KDE4_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} karboncommon karbonui )
 
 install(TARGETS kdeinit_karbon  ${INSTALL_TARGETS_DEFAULT_ARGS})
diff -Nurd koffice-2.0.0/karbon/Info.plist.template koffice-2.0.0-new/karbon/Info.plist.template
--- koffice-2.0.0/karbon/Info.plist.template	1969-12-31 19:00:00.000000000 -0500
+++ koffice-2.0.0-new/karbon/Info.plist.template	2009-06-06 15:21:53.000000000 -0400
@@ -0,0 +1,148 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE plist PUBLIC "-//Apple Computer//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<plist version="1.0">
+<dict>
+    <key>CFBundleDevelopmentRegion</key>
+    <string>English</string>
+    <key>CFBundleExecutable</key>
+    <string>${MACOSX_BUNDLE_EXECUTABLE_NAME}</string>
+    <key>CFBundleGetInfoString</key>
+    <string>${MACOSX_BUNDLE_INFO_STRING}</string>
+    <key>CFBundleIconFile</key>
+    <string>${MACOSX_BUNDLE_ICON_FILE}</string>
+    <key>CFBundleIdentifier</key>
+    <string>${MACOSX_BUNDLE_GUI_IDENTIFIER}</string>
+    <key>CFBundleInfoDictionaryVersion</key>
+    <string>6.0</string>
+    <key>CFBundleLongVersionString</key>
+    <string>${MACOSX_BUNDLE_LONG_VERSION_STRING}</string>
+    <key>CFBundleName</key>
+    <string>${MACOSX_BUNDLE_BUNDLE_NAME}</string>
+    <key>CFBundlePackageType</key>
+    <string>APPL</string>
+    <key>CFBundleShortVersionString</key>
+    <string>${MACOSX_BUNDLE_SHORT_VERSION_STRING}</string>
+    <key>CFBundleSignature</key>
+    <string>KRBN</string>
+    <key>CFBundleVersion</key>
+    <string>${MACOSX_BUNDLE_BUNDLE_VERSION}</string>
+    <key>CSResourcesFileMapped</key>
+    <true/>
+    <key>LSRequiresCarbon</key>
+    <true/>
+    <key>NSHumanReadableCopyright</key>
+    <string>${MACOSX_BUNDLE_COPYRIGHT}</string>
+    <key>CFBundleDocumentTypes</key>
+    <array>
+        <dict>
+            <key>CFBundleTypeExtensions</key>
+            <array>
+                <string>odg</string>
+                <string>ODG</string>
+            </array>
+            <key>CFBundleTypeMIMETypes</key>
+            <array>
+                <string>application/vnd.oasis.opendocument.graphics</string>
+            </array>
+            <key>CFBundleTypeOSTypes</key>
+            <array>
+            </array>
+            <key>CFBundleTypeName</key>
+            <string>OpenDocument Graphics File</string>
+            <key>CFBundleTypeRole</key>
+            <string>Editor</string>
+        </dict>
+        <dict>
+            <key>CFBundleTypeExtensions</key>
+            <array>
+                <string>karbon</string>
+                <string>KARBON</string>
+            </array>
+            <key>CFBundleTypeMIMETypes</key>
+            <array>
+                <string>application/x-karbon</string>
+            </array>
+            <key>CFBundleTypeOSTypes</key>
+            <array>
+            </array>
+            <key>CFBundleTypeName</key>
+            <string>Karbon File</string>
+            <key>CFBundleTypeRole</key>
+            <string>Editor</string>
+        </dict>
+        <dict>
+            <key>CFBundleTypeExtensions</key>
+            <array>
+                <string>ai</string>
+                <string>AI</string>
+            </array>
+            <key>CFBundleTypeMIMETypes</key>
+            <array>
+                <string>application/illustrator</string>
+            </array>
+            <key>CFBundleTypeOSTypes</key>
+            <array>
+                <string>PDF </string>
+            </array>
+            <key>CFBundleTypeName</key>
+            <string>Adobe Illustrator Document</string>
+            <key>CFBundleTypeRole</key>
+            <string>Editor</string>
+        </dict>
+        <dict>
+            <key>CFBundleTypeExtensions</key>
+            <array>
+                <string>eps</string>
+            </array>
+            <key>CFBundleTypeMIMETypes</key>
+            <array>
+                <string>image/x-eps</string>
+            </array>
+            <key>CFBundleTypeName</key>
+            <string>EPS File</string>
+            <key>CFBundleTypeOSTypes</key>
+            <array>
+                <string>EPSF</string>
+            </array>
+            <key>CFBundleTypeRole</key>
+            <string>Editor</string>
+        </dict>
+        <dict>
+            <key>CFBundleTypeExtensions</key>
+            <array>
+                <string>eps</string>
+            </array>
+            <key>CFBundleTypeMIMETypes</key>
+            <array>
+                <string>image/x-eps</string>
+            </array>
+            <key>CFBundleTypeName</key>
+            <string>PC EPS File</string>
+            <key>CFBundleTypeOSTypes</key>
+            <array>
+                <string>EPSP</string>
+            </array>
+            <key>CFBundleTypeRole</key>
+            <string>Editor</string>
+        </dict>
+        <dict>
+            <key>CFBundleTypeExtensions</key>
+            <array>
+                <string>ps</string>
+            </array>
+            <key>CFBundleTypeMIMETypes</key>
+            <array>
+                <string>application/postscript</string>
+            </array>
+            <key>CFBundleTypeName</key>
+            <string>Postscript File</string>
+            <key>CFBundleTypeOSTypes</key>
+            <array>
+                <string>TEXT</string>
+            </array>
+            <key>CFBundleTypeRole</key>
+            <string>Editor</string>
+        </dict>
+    </array>
+</dict>
+</plist>
diff -Nurd koffice-2.0.0/kchart/kdchart/kdablibfakes/src/KDABLibFakes.h koffice-2.0.0-new/kchart/kdchart/kdablibfakes/src/KDABLibFakes.h
--- koffice-2.0.0/kchart/kdchart/kdablibfakes/src/KDABLibFakes.h	2009-05-20 03:21:27.000000000 -0400
+++ koffice-2.0.0-new/kchart/kdchart/kdablibfakes/src/KDABLibFakes.h	2009-06-06 15:04:48.000000000 -0400
@@ -43,7 +43,7 @@
 #ifndef KDAB_LIB_FAKES_H
 #define KDAB_LIB_FAKES_H
 
-#if defined Q_OS_DARWIN
+#if defined(Q_OS_DARWIN) || defined(Q_OS_MAC)
 /* On Mac OS X, ensure that <cmath> will define std::isnan */
 #define _GLIBCPP_USE_C99 1
 #endif
@@ -72,7 +72,7 @@
 #include <float.h>
 #define ISNAN(x ) _isnan(x )
 #define ISINF(x ) (!(_finite(x ) + _isnan(x ) ) )
-#elif defined (Q_OS_DARWIN) || defined (Q_OS_CYGWIN)
+#elif defined (Q_OS_DARWIN) || defined(Q_OS_MAC) || defined (Q_OS_CYGWIN)
 #define ISNAN(x) std::isnan(x)
 #define ISINF(x) std::isinf(x)
 #else
diff -Nurd koffice-2.0.0/kplato/CMakeLists.txt koffice-2.0.0-new/kplato/CMakeLists.txt
--- koffice-2.0.0/kplato/CMakeLists.txt	2009-05-20 03:26:59.000000000 -0400
+++ koffice-2.0.0-new/kplato/CMakeLists.txt	2009-06-07 10:28:38.000000000 -0400
@@ -92,6 +92,12 @@
 
 kde4_add_kdeinit_executable( kplato ${kplato_KDEINIT_SRCS})
 
+if (Q_WS_MAC)
+   set_target_properties(kplato PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/Info.plist.template)
+   set_target_properties(kplato PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.koffice.kplato")
+   set_target_properties(kplato PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KPlato 2")
+endif (Q_WS_MAC)
+
 target_link_libraries(kdeinit_kplato komain  ${KDE4_KDEUI_LIBS})
 
 install(TARGETS kdeinit_kplato  ${INSTALL_TARGETS_DEFAULT_ARGS})
diff -Nurd koffice-2.0.0/kplato/Info.plist.template koffice-2.0.0-new/kplato/Info.plist.template
--- koffice-2.0.0/kplato/Info.plist.template	1969-12-31 19:00:00.000000000 -0500
+++ koffice-2.0.0-new/kplato/Info.plist.template	2009-06-07 10:28:29.000000000 -0400
@@ -0,0 +1,56 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE plist PUBLIC "-//Apple Computer//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<plist version="1.0">
+<dict>
+    <key>CFBundleDevelopmentRegion</key>
+    <string>English</string>
+    <key>CFBundleExecutable</key>
+    <string>${MACOSX_BUNDLE_EXECUTABLE_NAME}</string>
+    <key>CFBundleGetInfoString</key>
+    <string>${MACOSX_BUNDLE_INFO_STRING}</string>
+    <key>CFBundleIconFile</key>
+    <string>${MACOSX_BUNDLE_ICON_FILE}</string>
+    <key>CFBundleIdentifier</key>
+    <string>${MACOSX_BUNDLE_GUI_IDENTIFIER}</string>
+    <key>CFBundleInfoDictionaryVersion</key>
+    <string>6.0</string>
+    <key>CFBundleLongVersionString</key>
+    <string>${MACOSX_BUNDLE_LONG_VERSION_STRING}</string>
+    <key>CFBundleName</key>
+    <string>${MACOSX_BUNDLE_BUNDLE_NAME}</string>
+    <key>CFBundlePackageType</key>
+    <string>APPL</string>
+    <key>CFBundleShortVersionString</key>
+    <string>${MACOSX_BUNDLE_SHORT_VERSION_STRING}</string>
+    <key>CFBundleSignature</key>
+    <string>KPLT</string>
+    <key>CFBundleVersion</key>
+    <string>${MACOSX_BUNDLE_BUNDLE_VERSION}</string>
+    <key>CSResourcesFileMapped</key>
+    <true/>
+    <key>LSRequiresCarbon</key>
+    <true/>
+    <key>NSHumanReadableCopyright</key>
+    <string>${MACOSX_BUNDLE_COPYRIGHT}</string>
+    <key>CFBundleDocumentTypes</key>
+    <array>
+        <dict>
+            <key>CFBundleTypeExtensions</key>
+            <array>
+                <string>kplato</string>
+            </array>
+            <key>CFBundleTypeMIMETypes</key>
+            <array>
+                <string>application/x-vnd.kde.kplato</string>
+            </array>
+            <key>CFBundleTypeOSTypes</key>
+            <array>
+            </array>
+            <key>CFBundleTypeName</key>
+            <string>KPlato Project File</string>
+            <key>CFBundleTypeRole</key>
+            <string>Editor</string>
+        </dict>
+    </array>
+</dict>
+</plist>
diff -Nurd koffice-2.0.0/kplato/workpackage/CMakeLists.txt koffice-2.0.0-new/kplato/workpackage/CMakeLists.txt
--- koffice-2.0.0/kplato/workpackage/CMakeLists.txt	2009-05-20 03:26:58.000000000 -0400
+++ koffice-2.0.0-new/kplato/workpackage/CMakeLists.txt	2009-06-07 10:41:51.000000000 -0400
@@ -81,6 +81,12 @@
 
 kde4_add_kdeinit_executable( kplatowork ${kplatowork_KDEINIT_SRCS})
 
+if (Q_WS_MAC)
+   set_target_properties(kplatowork PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/Info.plist.template)
+   set_target_properties(kplatowork PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.koffice.kplato.work")
+   set_target_properties(kplatowork PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KPlato Work 2")
+endif (Q_WS_MAC)
+
 target_link_libraries(
     kdeinit_kplatowork
     kplatoworkapp
diff -Nurd koffice-2.0.0/kplato/workpackage/Info.plist.template koffice-2.0.0-new/kplato/workpackage/Info.plist.template
--- koffice-2.0.0/kplato/workpackage/Info.plist.template	1969-12-31 19:00:00.000000000 -0500
+++ koffice-2.0.0-new/kplato/workpackage/Info.plist.template	2009-06-07 10:34:42.000000000 -0400
@@ -0,0 +1,56 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE plist PUBLIC "-//Apple Computer//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<plist version="1.0">
+<dict>
+    <key>CFBundleDevelopmentRegion</key>
+    <string>English</string>
+    <key>CFBundleExecutable</key>
+    <string>${MACOSX_BUNDLE_EXECUTABLE_NAME}</string>
+    <key>CFBundleGetInfoString</key>
+    <string>${MACOSX_BUNDLE_INFO_STRING}</string>
+    <key>CFBundleIconFile</key>
+    <string>${MACOSX_BUNDLE_ICON_FILE}</string>
+    <key>CFBundleIdentifier</key>
+    <string>${MACOSX_BUNDLE_GUI_IDENTIFIER}</string>
+    <key>CFBundleInfoDictionaryVersion</key>
+    <string>6.0</string>
+    <key>CFBundleLongVersionString</key>
+    <string>${MACOSX_BUNDLE_LONG_VERSION_STRING}</string>
+    <key>CFBundleName</key>
+    <string>${MACOSX_BUNDLE_BUNDLE_NAME}</string>
+    <key>CFBundlePackageType</key>
+    <string>APPL</string>
+    <key>CFBundleShortVersionString</key>
+    <string>${MACOSX_BUNDLE_SHORT_VERSION_STRING}</string>
+    <key>CFBundleSignature</key>
+    <string>KPWK</string>
+    <key>CFBundleVersion</key>
+    <string>${MACOSX_BUNDLE_BUNDLE_VERSION}</string>
+    <key>CSResourcesFileMapped</key>
+    <true/>
+    <key>LSRequiresCarbon</key>
+    <true/>
+    <key>NSHumanReadableCopyright</key>
+    <string>${MACOSX_BUNDLE_COPYRIGHT}</string>
+    <key>CFBundleDocumentTypes</key>
+    <array>
+        <dict>
+            <key>CFBundleTypeExtensions</key>
+            <array>
+                <string>kplatowork</string>
+            </array>
+            <key>CFBundleTypeMIMETypes</key>
+            <array>
+                <string>application/x-vnd.kde.kplato.work</string>
+            </array>
+            <key>CFBundleTypeOSTypes</key>
+            <array>
+            </array>
+            <key>CFBundleTypeName</key>
+            <string>KPlato Work Project File</string>
+            <key>CFBundleTypeRole</key>
+            <string>Editor</string>
+        </dict>
+    </array>
+</dict>
+</plist>
diff -Nurd koffice-2.0.0/kpresenter/part/CMakeLists.txt koffice-2.0.0-new/kpresenter/part/CMakeLists.txt
--- koffice-2.0.0/kpresenter/part/CMakeLists.txt	2009-05-20 03:25:49.000000000 -0400
+++ koffice-2.0.0-new/kpresenter/part/CMakeLists.txt	2009-06-07 10:50:27.000000000 -0400
@@ -122,6 +122,12 @@
 
 kde4_add_kdeinit_executable( kpresenter ${kpresenter_KDEINIT_SRCS})
 
+if (Q_WS_MAC)
+   set_target_properties(kpresenter PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/Info.plist.template)
+   set_target_properties(kpresenter PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.koffice.kpresenter")
+   set_target_properties(kpresenter PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KPresenter 2")
+endif (Q_WS_MAC)
+
 target_link_libraries(kdeinit_kpresenter  ${KDE4_KDECORE_LIBS} ${QT_QTGUI_LIBRARY} komain )
 
 install(TARGETS kdeinit_kpresenter ${INSTALL_TARGETS_DEFAULT_ARGS})
diff -Nurd koffice-2.0.0/kpresenter/part/Info.plist.template koffice-2.0.0-new/kpresenter/part/Info.plist.template
--- koffice-2.0.0/kpresenter/part/Info.plist.template	1969-12-31 19:00:00.000000000 -0500
+++ koffice-2.0.0-new/kpresenter/part/Info.plist.template	2009-06-07 10:50:12.000000000 -0400
@@ -0,0 +1,122 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE plist PUBLIC "-//Apple Computer//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<plist version="1.0">
+<dict>
+    <key>CFBundleDevelopmentRegion</key>
+    <string>English</string>
+    <key>CFBundleExecutable</key>
+    <string>${MACOSX_BUNDLE_EXECUTABLE_NAME}</string>
+    <key>CFBundleGetInfoString</key>
+    <string>${MACOSX_BUNDLE_INFO_STRING}</string>
+    <key>CFBundleIconFile</key>
+    <string>${MACOSX_BUNDLE_ICON_FILE}</string>
+    <key>CFBundleIdentifier</key>
+    <string>${MACOSX_BUNDLE_GUI_IDENTIFIER}</string>
+    <key>CFBundleInfoDictionaryVersion</key>
+    <string>6.0</string>
+    <key>CFBundleLongVersionString</key>
+    <string>${MACOSX_BUNDLE_LONG_VERSION_STRING}</string>
+    <key>CFBundleName</key>
+    <string>${MACOSX_BUNDLE_BUNDLE_NAME}</string>
+    <key>CFBundlePackageType</key>
+    <string>APPL</string>
+    <key>CFBundleShortVersionString</key>
+    <string>${MACOSX_BUNDLE_SHORT_VERSION_STRING}</string>
+    <key>CFBundleSignature</key>
+    <string>KPR </string>
+    <key>CFBundleVersion</key>
+    <string>${MACOSX_BUNDLE_BUNDLE_VERSION}</string>
+    <key>CSResourcesFileMapped</key>
+    <true/>
+    <key>LSRequiresCarbon</key>
+    <true/>
+    <key>NSHumanReadableCopyright</key>
+    <string>${MACOSX_BUNDLE_COPYRIGHT}</string>
+    <key>CFBundleDocumentTypes</key>
+    <array>
+        <dict>
+            <key>CFBundleTypeExtensions</key>
+            <array>
+                <string>odp</string>
+                <string>ODP</string>
+            </array>
+            <key>CFBundleTypeMIMETypes</key>
+            <array>
+                <string>application/vnd.oasis.opendocument.presentation</string>
+            </array>
+            <key>CFBundleTypeOSTypes</key>
+            <array>
+            </array>
+            <key>CFBundleTypeName</key>
+            <string>OpenDocument Presentation File</string>
+            <key>CFBundleTypeRole</key>
+            <string>Editor</string>
+        </dict>
+        <dict>
+            <key>CFBundleTypeExtensions</key>
+            <array>
+                <string>otp</string>
+                <string>OTP</string>
+            </array>
+            <key>CFBundleTypeMIMETypes</key>
+            <array>
+                <string>application/vnd.oasis.opendocument.presentation-template</string>
+            </array>
+            <key>CFBundleTypeOSTypes</key>
+            <array>
+            </array>
+            <key>CFBundleTypeName</key>
+            <string>OpenDocument Presentation File</string>
+            <key>CFBundleTypeRole</key>
+            <string>Editor</string>
+        </dict>
+        <dict>
+            <key>CFBundleTypeExtensions</key>
+            <array>
+                <string>kpr</string>
+                <string>KPR</string>
+                <string>kpt</string>
+                <string>KPT</string>
+            </array>
+            <key>CFBundleTypeMIMETypes</key>
+            <array>
+                <string>application/x-kpresenter</string>
+            </array>
+            <key>CFBundleTypeOSTypes</key>
+            <array>
+            </array>
+            <key>CFBundleTypeName</key>
+            <string>KPresenter Presentation File</string>
+            <key>CFBundleTypeRole</key>
+            <string>Editor</string>
+        </dict>
+        <dict>
+            <key>CFBundleTypeExtensions</key>
+            <array>
+                <string>pot</string>
+                <string>POT</string>
+                <string>pps</string>
+                <string>PPS</string>
+                <string>ppt</string>
+                <string>PPT</string>
+                <string>ppz</string>
+                <string>PPZ</string>
+            </array>
+            <key>CFBundleTypeMIMETypes</key>
+            <array>
+                <string>application/vnd.ms-powerpoint</string>
+                <string>application/powerpoint</string>
+                <string>application/mspowerpoint</string>
+                <string>application/x-mspowerpoint</string>
+            </array>
+            <key>CFBundleTypeOSTypes</key>
+            <array>
+            </array>
+            <key>CFBundleTypeName</key>
+            <string>Powerpoint Presentation File</string>
+            <key>CFBundleTypeRole</key>
+            <string>Editor</string>
+        </dict>
+    </array>
+</dict>
+</plist>
diff -Nurd koffice-2.0.0/krita/CMakeLists.txt koffice-2.0.0-new/krita/CMakeLists.txt
--- koffice-2.0.0/krita/CMakeLists.txt	2009-05-20 03:21:23.000000000 -0400
+++ koffice-2.0.0-new/krita/CMakeLists.txt	2009-06-07 10:53:08.000000000 -0400
@@ -114,6 +114,12 @@
 
     kde4_add_kdeinit_executable(krita ${krita_KDEINIT_SRCS})
 
+    if (Q_WS_MAC)
+       set_target_properties(krita PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/Info.plist.template)
+       set_target_properties(krita PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.koffice.krita")
+       set_target_properties(krita PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "Krita 2")
+    endif (Q_WS_MAC)
+
     target_link_libraries(kdeinit_krita kritaui)
 
     install(TARGETS kdeinit_krita ${INSTALL_TARGETS_DEFAULT_ARGS})
diff -Nurd koffice-2.0.0/krita/Info.plist.template koffice-2.0.0-new/krita/Info.plist.template
--- koffice-2.0.0/krita/Info.plist.template	1969-12-31 19:00:00.000000000 -0500
+++ koffice-2.0.0-new/krita/Info.plist.template	2009-06-07 10:52:44.000000000 -0400
@@ -0,0 +1,57 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE plist PUBLIC "-//Apple Computer//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<plist version="1.0">
+<dict>
+    <key>CFBundleDevelopmentRegion</key>
+    <string>English</string>
+    <key>CFBundleExecutable</key>
+    <string>${MACOSX_BUNDLE_EXECUTABLE_NAME}</string>
+    <key>CFBundleGetInfoString</key>
+    <string>${MACOSX_BUNDLE_INFO_STRING}</string>
+    <key>CFBundleIconFile</key>
+    <string>${MACOSX_BUNDLE_ICON_FILE}</string>
+    <key>CFBundleIdentifier</key>
+    <string>${MACOSX_BUNDLE_GUI_IDENTIFIER}</string>
+    <key>CFBundleInfoDictionaryVersion</key>
+    <string>6.0</string>
+    <key>CFBundleLongVersionString</key>
+    <string>${MACOSX_BUNDLE_LONG_VERSION_STRING}</string>
+    <key>CFBundleName</key>
+    <string>${MACOSX_BUNDLE_BUNDLE_NAME}</string>
+    <key>CFBundlePackageType</key>
+    <string>APPL</string>
+    <key>CFBundleShortVersionString</key>
+    <string>${MACOSX_BUNDLE_SHORT_VERSION_STRING}</string>
+    <key>CFBundleSignature</key>
+    <string>KRTA</string>
+    <key>CFBundleVersion</key>
+    <string>${MACOSX_BUNDLE_BUNDLE_VERSION}</string>
+    <key>CSResourcesFileMapped</key>
+    <true/>
+    <key>LSRequiresCarbon</key>
+    <true/>
+    <key>NSHumanReadableCopyright</key>
+    <string>${MACOSX_BUNDLE_COPYRIGHT}</string>
+    <key>CFBundleDocumentTypes</key>
+    <array>
+        <dict>
+            <key>CFBundleTypeExtensions</key>
+            <array>
+                <string>kra</string>
+                <string>KRA</string>
+            </array>
+            <key>CFBundleTypeMIMETypes</key>
+            <array>
+                <string>application/x-krita</string>
+            </array>
+            <key>CFBundleTypeOSTypes</key>
+            <array>
+            </array>
+            <key>CFBundleTypeName</key>
+            <string>Krita File</string>
+            <key>CFBundleTypeRole</key>
+            <string>Editor</string>
+        </dict>
+    </array>
+</dict>
+</plist>
diff -Nurd koffice-2.0.0/krita/image/kis_random_generator.cc koffice-2.0.0-new/krita/image/kis_random_generator.cc
--- koffice-2.0.0/krita/image/kis_random_generator.cc	2009-05-20 03:20:49.000000000 -0400
+++ koffice-2.0.0-new/krita/image/kis_random_generator.cc	2009-06-06 15:04:48.000000000 -0400
@@ -20,8 +20,8 @@
  */
 
 #include "kis_random_generator.h"
-#include <stdlib.h>
 #define __STDC_LIMIT_MACROS
+#include <stdlib.h>
 #include <stdint.h>
 #include <math.h>
 
diff -Nurd koffice-2.0.0/kspread/CMakeLists.txt koffice-2.0.0-new/kspread/CMakeLists.txt
--- koffice-2.0.0/kspread/CMakeLists.txt	2009-05-20 03:26:47.000000000 -0400
+++ koffice-2.0.0-new/kspread/CMakeLists.txt	2009-06-07 11:01:23.000000000 -0400
@@ -253,6 +253,12 @@
 
 kde4_add_kdeinit_executable( kspread ${kspread_KDEINIT_SRCS})
 
+if (Q_WS_MAC)
+   set_target_properties(kspread PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/Info.plist.template)
+   set_target_properties(kspread PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.koffice.kspread")
+   set_target_properties(kspread PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KSpread 2")
+endif (Q_WS_MAC)
+
 target_link_libraries(kdeinit_kspread  ${QT_QTGUI_LIBRARY} ${KDE4_KDECORE_LIBS} komain )
 
 install(TARGETS kdeinit_kspread  ${INSTALL_TARGETS_DEFAULT_ARGS})
diff -Nurd koffice-2.0.0/kspread/Info.plist.template koffice-2.0.0-new/kspread/Info.plist.template
--- koffice-2.0.0/kspread/Info.plist.template	1969-12-31 19:00:00.000000000 -0500
+++ koffice-2.0.0-new/kspread/Info.plist.template	2009-06-07 11:01:17.000000000 -0400
@@ -0,0 +1,152 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE plist PUBLIC "-//Apple Computer//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<plist version="1.0">
+<dict>
+    <key>CFBundleDevelopmentRegion</key>
+    <string>English</string>
+    <key>CFBundleExecutable</key>
+    <string>${MACOSX_BUNDLE_EXECUTABLE_NAME}</string>
+    <key>CFBundleGetInfoString</key>
+    <string>${MACOSX_BUNDLE_INFO_STRING}</string>
+    <key>CFBundleIconFile</key>
+    <string>${MACOSX_BUNDLE_ICON_FILE}</string>
+    <key>CFBundleIdentifier</key>
+    <string>${MACOSX_BUNDLE_GUI_IDENTIFIER}</string>
+    <key>CFBundleInfoDictionaryVersion</key>
+    <string>6.0</string>
+    <key>CFBundleLongVersionString</key>
+    <string>${MACOSX_BUNDLE_LONG_VERSION_STRING}</string>
+    <key>CFBundleName</key>
+    <string>${MACOSX_BUNDLE_BUNDLE_NAME}</string>
+    <key>CFBundlePackageType</key>
+    <string>APPL</string>
+    <key>CFBundleShortVersionString</key>
+    <string>${MACOSX_BUNDLE_SHORT_VERSION_STRING}</string>
+    <key>CFBundleSignature</key>
+    <string>KSPR</string>
+    <key>CFBundleVersion</key>
+    <string>${MACOSX_BUNDLE_BUNDLE_VERSION}</string>
+    <key>CSResourcesFileMapped</key>
+    <true/>
+    <key>LSRequiresCarbon</key>
+    <true/>
+    <key>NSHumanReadableCopyright</key>
+    <string>${MACOSX_BUNDLE_COPYRIGHT}</string>
+    <key>CFBundleDocumentTypes</key>
+    <array>
+        <dict>
+            <key>CFBundleTypeExtensions</key>
+            <array>
+                <string>ksp</string>
+                <string>KSP</string>
+            </array>
+            <key>CFBundleTypeMIMETypes</key>
+            <array>
+                <string>application/x-kspread</string>
+                <string>application/x-kspread-crypt</string>
+            </array>
+            <key>CFBundleTypeOSTypes</key>
+            <array>
+            </array>
+            <key>CFBundleTypeName</key>
+            <string>KSpread Spreadsheet File</string>
+            <key>CFBundleTypeRole</key>
+            <string>Editor</string>
+        </dict>
+        <dict>
+            <key>CFBundleTypeExtensions</key>
+            <array>
+                <string>ods</string>
+                <string>ODS</string>
+                <string>ots</string>
+                <string>OTS</string>
+            </array>
+            <key>CFBundleTypeMIMETypes</key>
+            <array>
+                <string>application/vnd.oasis.opendocument.spreadsheet</string>
+                <string>application/vnd.oasis.opendocument.spreadsheet-template</string>
+            </array>
+            <key>CFBundleTypeOSTypes</key>
+            <array>
+            </array>
+            <key>CFBundleTypeName</key>
+            <string>OpenDocument Spreadsheet File</string>
+            <key>CFBundleTypeRole</key>
+            <string>Editor</string>
+        </dict>
+        <dict>
+            <key>CFBundleTypeExtensions</key>
+            <array>
+                <string>xls</string>
+                <string>XLS</string>
+                <string>xlc</string>
+                <string>XLC</string>
+                <string>xll</string>
+                <string>XLL</string>
+                <string>xlm</string>
+                <string>XLM</string>
+                <string>xlw</string>
+                <string>XLW</string>
+                <string>xla</string>
+                <string>XLA</string>
+                <string>xlt</string>
+                <string>XLT</string>
+                <string>xld</string>
+                <string>XLD</string>
+            </array>
+            <key>CFBundleTypeMIMETypes</key>
+            <array>
+                <string>application/vnd.ms-excel</string>
+                <string>application/msexcel</string>
+                <string>application/x-msexcel</string>
+            </array>
+            <key>CFBundleTypeOSTypes</key>
+            <array>
+            </array>
+            <key>CFBundleTypeName</key>
+            <string>Microsoft Excel Worksheet</string>
+            <key>CFBundleTypeRole</key>
+            <string>Editor</string>
+        </dict>
+        <dict>
+            <key>CFBundleTypeExtensions</key>
+            <array>
+                <string>csv</string>
+                <string>CSV</string>
+            </array>
+            <key>CFBundleTypeMIMETypes</key>
+            <array>
+                <string>text/csv</string>
+                <string>text/x-comma-separated-values</string>
+                <string>text/x-csv</string>
+            </array>
+            <key>CFBundleTypeOSTypes</key>
+            <array>
+            </array>
+            <key>CFBundleTypeName</key>
+            <string>Comma-Separated Values File</string>
+            <key>CFBundleTypeRole</key>
+            <string>Editor</string>
+        </dict>
+        <dict>
+            <key>CFBundleTypeExtensions</key>
+            <array>
+                <string>wb1</string>
+                <string>wb2</string>
+                <string>wb3</string>
+            </array>
+            <key>CFBundleTypeMIMETypes</key>
+            <array>
+                <string>application/x-quattropro</string>
+            </array>
+            <key>CFBundleTypeOSTypes</key>
+            <array>
+            </array>
+            <key>CFBundleTypeName</key>
+            <string>Quattro Pro Spreadsheet File</string>
+            <key>CFBundleTypeRole</key>
+            <string>Editor</string>
+        </dict>
+    </array>
+</dict>
+</plist>
diff -Nurd koffice-2.0.0/kword/part/CMakeLists.txt koffice-2.0.0-new/kword/part/CMakeLists.txt
--- koffice-2.0.0/kword/part/CMakeLists.txt	2009-05-20 03:16:02.000000000 -0400
+++ koffice-2.0.0-new/kword/part/CMakeLists.txt	2009-06-07 11:09:43.000000000 -0400
@@ -107,6 +107,12 @@
 
 kde4_add_kdeinit_executable( kword ${kword_KDEINIT_SRCS})
 
+if (Q_WS_MAC)
+   set_target_properties(kword PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/Info.plist.template)
+   set_target_properties(kword PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.koffice.kword")
+   set_target_properties(kword PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KWord 2")
+endif (Q_WS_MAC)
+
 target_link_libraries(kdeinit_kword  ${KDE4_KDEUI_LIBS} komain )
 
 install(TARGETS kdeinit_kword  ${INSTALL_TARGETS_DEFAULT_ARGS})
diff -Nurd koffice-2.0.0/kword/part/Info.plist.template koffice-2.0.0-new/kword/part/Info.plist.template
--- koffice-2.0.0/kword/part/Info.plist.template	1969-12-31 19:00:00.000000000 -0500
+++ koffice-2.0.0-new/kword/part/Info.plist.template	2009-06-07 11:09:29.000000000 -0400
@@ -0,0 +1,161 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE plist PUBLIC "-//Apple Computer//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<plist version="1.0">
+<dict>
+    <key>CFBundleDevelopmentRegion</key>
+    <string>English</string>
+    <key>CFBundleExecutable</key>
+    <string>${MACOSX_BUNDLE_EXECUTABLE_NAME}</string>
+    <key>CFBundleGetInfoString</key>
+    <string>${MACOSX_BUNDLE_INFO_STRING}</string>
+    <key>CFBundleIconFile</key>
+    <string>${MACOSX_BUNDLE_ICON_FILE}</string>
+    <key>CFBundleIdentifier</key>
+    <string>${MACOSX_BUNDLE_GUI_IDENTIFIER}</string>
+    <key>CFBundleInfoDictionaryVersion</key>
+    <string>6.0</string>
+    <key>CFBundleLongVersionString</key>
+    <string>${MACOSX_BUNDLE_LONG_VERSION_STRING}</string>
+    <key>CFBundleName</key>
+    <string>${MACOSX_BUNDLE_BUNDLE_NAME}</string>
+    <key>CFBundlePackageType</key>
+    <string>APPL</string>
+    <key>CFBundleShortVersionString</key>
+    <string>${MACOSX_BUNDLE_SHORT_VERSION_STRING}</string>
+    <key>CFBundleSignature</key>
+    <string>KWRD</string>
+    <key>CFBundleVersion</key>
+    <string>${MACOSX_BUNDLE_BUNDLE_VERSION}</string>
+    <key>CSResourcesFileMapped</key>
+    <true/>
+    <key>LSRequiresCarbon</key>
+    <true/>
+    <key>NSHumanReadableCopyright</key>
+    <string>${MACOSX_BUNDLE_COPYRIGHT}</string>
+    <key>CFBundleDocumentTypes</key>
+    <array>
+        <dict>
+            <key>CFBundleTypeExtensions</key>
+            <array>
+                <string>kwd</string>
+                <string>KWD</string>
+                <string>kwt</string>
+                <string>KWT</string>
+            </array>
+            <key>CFBundleTypeMIMETypes</key>
+            <array>
+                <string>application/x-kword</string>
+                <string>application/x-kword-crypt</string>
+            </array>
+            <key>CFBundleTypeOSTypes</key>
+            <array>
+            </array>
+            <key>CFBundleTypeName</key>
+            <string>KWord Document</string>
+            <key>CFBundleTypeRole</key>
+            <string>Editor</string>
+        </dict>
+        <dict>
+            <key>CFBundleTypeExtensions</key>
+            <array>
+                <string>odt</string>
+                <string>ODT</string>
+                <string>ott</string>
+                <string>OTT</string>
+            </array>
+            <key>CFBundleTypeMIMETypes</key>
+            <array>
+                <string>application/vnd.oasis.opendocument.text</string>
+                <string>application/vnd.oasis.opendocument.text-template</string>
+            </array>
+            <key>CFBundleTypeOSTypes</key>
+            <array>
+            </array>
+            <key>CFBundleTypeName</key>
+            <string>OpenDocument Text File</string>
+            <key>CFBundleTypeRole</key>
+            <string>Editor</string>
+        </dict>
+        <dict>
+            <key>CFBundleTypeExtensions</key>
+            <array>
+                <string>doc</string>
+                <string>DOC</string>
+                <string>dot</string>
+                <string>DOT</string>
+            </array>
+            <key>CFBundleTypeMIMETypes</key>
+            <array>
+                <string>application/msword</string>
+                <string>application/vnd.ms-word</string>
+                <string>application/x-msword</string>
+                <string>application/msword-template</string>
+            </array>
+            <key>CFBundleTypeOSTypes</key>
+            <array>
+            </array>
+            <key>CFBundleTypeName</key>
+            <string>Word Document</string>
+            <key>CFBundleTypeRole</key>
+            <string>Editor</string>
+        </dict>
+        <dict>
+            <key>CFBundleTypeExtensions</key>
+            <array>
+                <string>rtf</string>
+                <string>RTF</string>
+            </array>
+            <key>CFBundleTypeMIMETypes</key>
+            <array>
+                <string>application/rtf</string>
+                <string>text/rtf</string>
+            </array>
+            <key>CFBundleTypeOSTypes</key>
+            <array>
+            </array>
+            <key>CFBundleTypeName</key>
+            <string>Rich Text Document</string>
+            <key>CFBundleTypeRole</key>
+            <string>Editor</string>
+        </dict>
+        <dict>
+            <key>CFBundleTypeExtensions</key>
+            <array>
+                <string>txt</string>
+                <string>TXT</string>
+                <string>asc</string>
+                <string>ASC</string>
+            </array>
+            <key>CFBundleTypeMIMETypes</key>
+            <array>
+                <string>text/plain</string>
+            </array>
+            <key>CFBundleTypeOSTypes</key>
+            <array>
+            </array>
+            <key>CFBundleTypeName</key>
+            <string>Plain Text Document</string>
+            <key>CFBundleTypeRole</key>
+            <string>Editor</string>
+        </dict>
+        <dict>
+            <key>CFBundleTypeExtensions</key>
+            <array>
+                <string>wri</string>
+                <string>WRI</string>
+            </array>
+            <key>CFBundleTypeMIMETypes</key>
+            <array>
+                <string>application/x-mswrite</string>
+            </array>
+            <key>CFBundleTypeOSTypes</key>
+            <array>
+            </array>
+            <key>CFBundleTypeName</key>
+            <string>Microsoft Write Document</string>
+            <key>CFBundleTypeRole</key>
+            <string>Editor</string>
+        </dict>
+    </array>
+</dict>
+</plist>
diff -Nurd koffice-2.0.0/libs/flake/CMakeLists.txt koffice-2.0.0-new/libs/flake/CMakeLists.txt
--- koffice-2.0.0/libs/flake/CMakeLists.txt	2009-05-20 03:25:59.000000000 -0400
+++ koffice-2.0.0-new/libs/flake/CMakeLists.txt	2009-06-06 15:04:48.000000000 -0400
@@ -1,4 +1,4 @@
-include_directories( ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} ${KOMAIN_INCLUDES} ${PIGMENT_INCLUDES})
+include_directories( ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} ${KOMAIN_INCLUDES} ${PIGMENT_INCLUDES} ${OPENGL_INCLUDE_DIR})
 
 if(KDE4_BUILD_TESTS)
     # only with this definition will the FLAKE_TEST_EXPORT macro do something
